//
//  Rings Stroke End.js
//  Kite
//
//  Created on 6/23/17.
//

// ------------------------------------------
// Info
// ------------------------------------------
/*

 Use the 'layer' variable to
 reference the layer outside of a
 function.
 
 Use the 'this' keyword to reference
 the layer inside of a function.
 
 For example:
 
 layer.mouseUp = function(event) {
    this.position.x = 42;
 };

 */


// ------------------------------------------
// Called just before the presentation starts
// ------------------------------------------

layer.canvasReady = function(event) {

    var ringLayer = canvas.getLayerByName("Ring 3 Mask");
    var thisLayer = this;
    var formatter = new Intl.NumberFormat({
        style: "decimal",
        useGrouping: false,
        minimumFractionDigits: 1,
        maximumFractionDigits: 1,
    });
    
    formatter.minimumFractionDigits = 1;
    formatter.maximumFractionDigits = 1;
    
    this.allowsImplicitAnimations = false;
    
    ringLayer.observe("strokeEnd", function(layer, oldValue, newValue) {
        
          newValue = (newValue == 0.01) ? 0 : newValue;
          thisLayer.string = formatter.format(newValue);
    });
};