//
//  Scroll.js
//  Kite
//
//  Created on 6/23/17.
//

// ------------------------------------------
// Info
// ------------------------------------------
/*

 Use the 'layer' variable to
 reference the layer outside of a
 function.
 
 Use the 'this' keyword to reference
 the layer inside of a function.
 
 For example:
 
 layer.mouseUp = function(event) {
    this.position.x = 42;
 };

 */


// ------------------------------------------
// Called just before the presentation starts
// ------------------------------------------

layer.canvasReady = function(event) {
    
    var originTextLayer = canvas.getLayerByName("Scroll Bounds Origin");
    var strokeEndLayer = canvas.getLayerByName("Stroke End Scrubber");

    originTextLayer.allowsImplicitAnimations = false;
    strokeEndLayer.allowsImplicitAnimations = false;

    this.observe("bounds", function(object, oldValue, newValue) {
        
        var newBounds = newValue.rectValue;
        originTextLayer.string = newBounds.y + " pt";
    });
};
